<?php
/**
 * 用户管理
 * $Id: user_edit_result.php,v 1.1 2016-9-22 09:58:31 cuixl Exp $
 * @author cuixl
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$user_id = ParamUtil::getRequestString("id");
$action_type = ParamUtil::getRequestString("action_type");
$point = ParamUtil::getRequestNumber("point", 0);

$user_mst = UserMst::getById($user_id);

$left_point = 0;
//查找该用户的最后一条记录
$param = array();
$param["user_id"] = $user_id;
$param["status"] = "SUCCESS";
$param["delete_flg"] = false;
$user_point_list = UserPointLog::getList($param, "id", "desc", 0, 1);
if(!empty($user_point_list)) {
	$point_left = $user_point_list[0]->point_left;
}

$point_left = $point_left + $point;

if($action_type==4 || $action_type==7) {
	//添加积分记录
	$user_point_log = new UserPointLog();
	$user_point_log->user_id = $user_id;
	$user_point_log->action_type = $action_type; //购买课程奖励
	$user_point_log->point = $point;
	$user_point_log->point_left = $point_left;
	$user_point_log->status = "SUCCESS";
	$user_point_log->save();

	//更新用户表的积分数值
	$user_mst->point = $point_left;
	$user_mst->save();
}

// 跳到结果页面
header("Location:user_send_point_result.php?id=" . $user_id);
exit;